Subject: RE: RE: LDP/CR-LDP

From: "Don Fedyk" <[email-masked]>
Date: Thu, 23 Mar 2000 17:31:41 -0500

Please see the comments below,

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, March 23, 2000 9:43 AM
> To: [email-masked]; [email-masked]
> Subject: RE: RE: LDP/CR-LDP
> 
> 
> VPNs and QoS are created by edge routers and can be done in many ways,
> some discusssed openly in IETF and others more 
> vendor-specific.   Cisco
> uses BGP-based RFC-2457 as a means to distribute VPN membership
> information among the edge routers.  everst intent was to establish
> virtual routers at the time IP interfaces are provisioned.   
> Cisco uses
> RSVP to signal L2 paths to create specifc LSPs for the VPNs.
  
I believe that Cisco uses TDP now and LDP in the future to create 
specific LSPs. Has this changed ?

> Everest
> was planning to use ATM-SVCs, then evolve to LSPs and would be
> indifferent to RSVP vs. CR-LDP.   QoS has many more options, most that
> say to have a different LSP to the same edge-edge path for each QoS
> class.  These can be set up using RSVP or CR-LDP.  Different vendors
> have different approaches to QoS.  Our approach is the triggfers and
> treatments model. We will initially map into different ATM SVCs with
> travel p rofiles.   As we implement MPLS with LER, we would map
> different classes into LSPs that have traffic profiles created using
> CR-LDP or RSVP.   AS a transit LSR, we only woiuld need to support
> whatever scheme the LERs implement, assuming they are compatible.   I
> would not suppose that different vendors like Cisco or Nortel 
> would have
> similar apporaches to QoS or VPNs, where they can't even agree on
> simpler things.

There are many models of VPNs. 
When it comes to MPLS, on the interior of the VPN you have:

The Pipe model. MPLS LSPs for VPNs may 
be set up with specific traffic parameters using CR-LDP or RSVP-TE. 

Or the hose model.  
Applied to MPLS LSPs for VPNs a top label is used for connectivity
without specific traffic parameters. A lower label specifies the
VPN. This is the model of RFC 2547. 

Cisco suggests applying Diff-Serv CoS to the 2547 model for VPNs. 

There are advantages and draw backs to each scheme. 

As far as VPN routing goes, there are also several models. RFC 2764 
talks about the different types of VPNs. The options of 
Virtual routers or BGP/MPLS based VPNs is discussed here. 

As far as vendor agreement goes, there are no standards for VPNs, just 
informational RFCs, I think we agree on that.  

Regards,
Don

> 
>     -----Original Message-----
>    From:       Gan, YickBeng /sg,its  
>    Sent:       Tuesday, March 21, 2000 8:41 PM
>    To:         [email-masked]
>    Cc:         Gan, YickBeng /sg,its
>    Subject:    FW: RE: LDP/CR-LDP
>    
>    Hi All
>    
>    I'm quite new to this. Does anybody know the answers to the below
>    questions. 
>    
>    a)    Can CR-LDP support VPN and QoS ? How can this be done ?
>       
>    b) Will both protocols (i.e. BGP and OSPF) affect VPN and QoS using
>       LDP/CR-LDP ? If yes, can I have the technical details.
>       
>    
>    
>    Thanks
>    
>    
>    Regards
>    Gan
>    
>

---

From: Srinivasan Balaji <[email-masked]>
Date: Fri, 24 Mar 2000 11:57:40 -0500

Folks,
  Please also look at the draft: draft-zhang-crldp-ext-for-vpn-00.txt.
We have proposed a model for VPNs using CR-LDP & Potentially RSVP.

Thanks
Balaji.

--
  -----------------------------------------------------------------
  Srinivasan Balaji
  GlobeSpan, Inc
  Voice : (732) 283-2770 xtn.303
  mailto:[email-masked]
  Web   : http://www.ficon-tech.com/home.htm
  -----------------------------------------------------------------